#
# spec file for package blue-horizon-config-deploy-cap-gke
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blue-horizon-config-deploy-cap-gke
Version:        2020.07.31
Release:        3.3.1
Summary:        Configuration for blue-horizon for deploy-cap on GCP GKE
License:        CC-BY-ND-4.0
URL:            http://www.github.com:SUSE/pubcloud
Source0:        %{name}-%{version}.tar.bz2
Requires:       blue-horizon
Requires:       nginx
Requires:       python3-cloudinstancecredentials
BuildRequires:  blue-horizon
BuildRequires:  nginx
Provides:       blue-horizon-config
Provides:       terraform-cap-deploy-gke = 0.1.0
Conflicts:      otherproviders(blue-horizon-config)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch

%description
Configs and terraform scripts to configure blue-horizon for CAP deployment
on GKE in Google Compute Platform.

%prep
%setup -q

%build

%install
%make_install

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%config %{_sysconfdir}/nginx/vhosts.d/blue-horizon-http.conf
%dir /srv/www/blue-horizon/vendor
/srv/www/blue-horizon/vendor/customization.json
%dir /srv/www/blue-horizon/vendor/locales
/srv/www/blue-horizon/vendor/locales/*
%dir /srv/www/blue-horizon/vendor/sources
/srv/www/blue-horizon/vendor/sources/*
%{_unitdir}/blue-horizon.service

%changelog
* Fri Jul 31 2020 jmason@suse.com
- version 2020.07.31
  + Update sources to cap-terraform/gke v0.1.0
  + Remove default region
* Mon Jul 20 2020 jmason@suse.com
- version 2020.07.20
  + Update sources to cap-terraform/public-cloud/gke v0.0.2
* Wed Jul 15 2020 jmason@suse.com
- version 2020.07.14
  + Initial submission to build service (jsc#PM-1887)
